%define upstream_name DB_DataObject
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version: 	1.11.5
Release: 	%mkrel 1
Summary:	An SQL Builder, Object Interface to Database Tables
License: 	PHP License 3.01
Group:		Development/PHP
Source0: 	http://pear.php.net/get/DB_DataObject-%{version}.tgz
URL: 		http://pear.php.net/package/DB_DataObject
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Date >= 1.4.3
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
DataObject performs 2 tasks:
  1. Builds SQL statements based on the objects vars and the builder
methods.
  2. acts as a datastore for a table row.
  The core class is designed to be extended for each of your tables so that
you put the
  data logic inside the data classes.
  included is a Generator to make your configuration files and your base
classes.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
rm -rf %{buildroot}%{_bindir}/DB
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/DB_DataObject.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/DB_DataObject.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/DB_DataObject
fi

%files
%doc docs/DB_DataObject/*
%{peardir}/*
%{xmldir}/DB_DataObject.xml


%changelog
* Sun Mar 13 2016 spuhler <spuhler> 1.11.5-1.mga6
+ Revision: 990256
- upgrade to vers. 1.11.5

* Thu Feb 04 2016 umeabot <umeabot> 1.11.3-4.mga6
+ Revision: 934207
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.11.3-3.mga5
+ Revision: 747540
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11.3-2.mga5
+ Revision: 687209
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 spuhler <spuhler> 1.11.3-1.mga5
+ Revision: 643973
- upgrade to ver. 1.11.3

* Sat Oct 19 2013 umeabot <umeabot> 1.11.2-2.mga4
+ Revision: 528002
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 1.11.2-1.mga4
+ Revision: 443165
- upgrade to version 1.11.2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.9.6-2.mga3
+ Revision: 375971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 spuhler <spuhler> 1.9.6-1.mga2
+ Revision: 175866
- upgrade to 1.9.6

* Mon Jan 17 2011 spuhler <spuhler> 1.9.5-1.mga1
+ Revision: 20723
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-DB_DataObject


* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.5-1mdv2011.0
+ Revision: 569594
- update to new version 1.9.5

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.3-1mdv2010.1
+ Revision: 495838
- update to new version 1.9.3

* Wed Jan 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.0-1mdv2010.1
+ Revision: 486960
- update to new version 1.9.0

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.12-2mdv2010.1
+ Revision: 479288
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.12-1mdv2010.0
+ Revision: 446476
- update to new version 1.8.12

* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.11-1mdv2010.0
+ Revision: 400319
- update to new version 1.8.11

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 1.8.10-1mdv2009.1
+ Revision: 360148
- update to new version 1.8.10

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.9-1mdv2009.1
+ Revision: 357907
- update to new version 1.8.9

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.8-2mdv2009.1
+ Revision: 321806
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.8-1mdv2009.0
+ Revision: 272583
- 1.8.8

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.8.7-2mdv2009.0
+ Revision: 224719
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 09 2007 Adam Williamson <awilliamson@mandriva.org> 1.8.7-1mdv2008.1
+ Revision: 107089
- new release 1.8.7


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.15-5mdv2007.0
+ Revision: 81082
- Import php-pear-DB_DataObject

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.15-5mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.15-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.15-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.15-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.15-1mdk
- 1.7.15

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.13-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.13-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.7.13-1mdk
- initial Mandriva package (PLD import)

